<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_84623474" . "16230e57b" . "197fcded0" . "b930b7" => base64_decode("Y2Fsb" . "GluZy" . "A="));
class FunctionCallNode extends Node
{
    protected $func_name;
    protected $args;
    public function __construct($_3b2a7f1348b2f38409312caecce9d54a, $args)
    {
        $this->func_name = $_3b2a7f1348b2f38409312caecce9d54a;
        $this->args = $args;
    }
    
    
    
    
    public function Children() : array
    {
        return $this->args;
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_84623474162" . "30e57b197fcd" . "ed0b930b7"] . $this->func_name;
    }
    public function FunctionName() : string
    {
        return $this->func_name;
    }
}